
Infrastructure - Story #2625

generate test certificates under the new dataone (test) CA

2012-04-23 16:25 - Rob Nahf

Status: Closed Start date: 2012-05-19

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_integration Estimated time: 0.00 hour

Target version: Sprint-2012.19-Block.3.2   

Story Points:    

Description

Need to generate the test certificates using the new dataone test CA.

Subtasks:

Task # 2782: install new test client certificates onto dev-testing (Hudson) Closed

Task # 2783: install new test client certificates onto mncheck ("MN Web Tester") Closed

Task # 2784: refactor certificates out of d1_integration package (svn) Closed

Related issues:

Related to Infrastructure - Story #804: Integration testing: Testing access c... Closed 2012-01-23

History

#1 - 2012-05-08 17:03 - Rob Nahf

- Tracker changed from Task to Story

- Parent task deleted (#804)

- Start date set to 2012-05-08

#2 - 2012-05-08 17:03 - Rob Nahf

- Target version changed from Sprint-2012.17-Block.3.1 to Sprint-2012.19-Block.3.2

#3 - 2012-05-19 08:09 - Rob Nahf

- % Done changed from 0 to 70

- Status changed from New to In Progress

- Category set to d1_integration

#4 - 2012-05-19 09:48 - Rob Nahf

- Status changed from In Progress to Closed

generated, tested, packaged and deployed new client test certificates to Web Tester and Hudson.

The main difference is that the client certificates live outside the d1_integration package, and need a separate deployment for testing to work  on each

machine.  (more difficult to run locally).
